# Pause Campaign

### Pause sending a campaign.

```http
POST https://api.cm.com/messages/v1/accounts/{accountId}/messages/{messageId}/pause
```

#### Parameters

| Type     | Name                          | Description     | Schema        |
| -------- | ----------------------------- | --------------- | ------------- |
| **Path** | **accountId**  <br>*required* | The accountId.  | string (uuid) |
| **Path** | **messageId**  <br>*required* | The identifier. | string (uuid) |

#### Responses

| HTTP Code | Description | Schema                                                                                                                                           |
| --------- | ----------- | ------------------------------------------------------------------------------------------------------------------------------------------------ |
| **200**   | OK          | [CM.Platform.Campaigns.Models.ApiCampaignResponse](/mobile-marketing-cloud/docs/object-definitions#cmplatformcampaignsmodelsapicampaignresponse) |

#### Example HTTP request

##### Request path

```
https://api.cm.com/messages/v1/accounts/00000000-0000-0000-0000-000000000000/messages/00000000-0000-0000-0000-000000000000/pause
```

#### Example HTTP response

##### Response 200

```json
{
  "id" : "00000000-0000-0000-0000-000000000000",
  "analytics" : {
    "accepted" : 0,
    "converted" : 0,
    "delivered" : 0,
    "euroPrice" : 0.0,
    "failed" : 0,
    "localCurrency" : "string",
    "localPrice" : 0.0,
    "optedOut" : 0,
    "recipients" : 0,
    "test" : 0
  },
  "body" : "string",
  "channels" :  ["SMS"] ,
  "countrySpecificSenders" : {
    "string" : "string"
  },
  "ignoreUnsubscribes" : false,
  "name" : "string",
  "recipients" : [ {
    "contact" : "00000000-0000-0000-0000-000000000000",
    "data" : {
      "string" : "string"
    },
    "group" : "00000000-0000-0000-0000-000000000000",
    "msisdn" : "string"
  } ],
  "recurrence" : "string",
  "scheduledAtUtc" : "string",
  "senderPreset" : "00000000-0000-0000-0000-000000000000",
  "senders" : [ "string" ],
  "spread" : {
    "timeFrames" : [ {
      "days" : [ "string" ],
      "startTime" : "string",
      "endTime" : "string"
    } ],
    "until" : "string"
  },
  "status" : "string",
  "options": {
    "urlShortenerDomainId": "00000000-0000-0000-0000-000000000000"
  },
  "createdAtUtc" : "string",
  "createdBy" : "00000000-0000-0000-0000-000000000000"
}
```